1. Auth
SCAEM
  • Back to home
  • api.dataemergencia.com
  • Endpoints
    • V1
      • Generators
        • Series Generator
        • Code Generator
        • Code Retrival
        • Code Remaining
      • Whatsapp
        • Test Message Template Copy
        • Test Message Emergency Template One
        • Test Message Template
        • Test Message Text
      • Tokens
        • Generate Token
        • Register Application
        • Generate Application Token
        • Patch Application Token
      • Auth
        • Logout
        • CSRF
        • Relationship
      • Webhooks
        • WhatsApp Verification Webhook
        • WhatsApp Handling Messages Webhook
      • Welcome
    • V2
      • Fmd
        • FMD
        • FMD Model Data
        • FMD Models Data
        • FMD Existence
        • Check existent FMD
        • Relationship
        • FMD Patch Emergency Contacts
        • FMD Patch Template Type
        • FMD Patch
        • FMD Update Emergency Contacts
      • Auth
        • Logout
          POST
        • Register
          POST
        • Login
          POST
      • Product
        • Product
      • Google Maps
        • Google Maps | Search Based URL Generator
      • WhatsApp
        • Send Template Message
      • Generators
        • Code Generator Carnet QR Pattern
      • Webhooks
        • WhatsApp Verification Webhook
        • WhatsApp Handling Messages Webhook
      • Emergency
        • Emergencies
        • Emergency
        • Emergency
        • Emergency
        • Emergency Copy
      • Subscription
        • Subscription
      • Project
        • Create Project Access Url
      • SGI-API-Chatwoot
        • Send messages to Chatwoot Inbox API (broke)
        • Send Location Message
        • Create Contact
      • Codes
        • Generate Code By Prefix
        • Generate Code By Prefix Copy
  • Test
    • Auth
      • Login
      • Register
    • Broadcasting
      • WhatsApp Broadcasting Event Trigger
      • WhatsApp Broadcasting Status Event Trigger
      • WhatsApp Broadcasting Event Trigger For Routing to Correct Recipient
    • Media Test Hardcoded
      GET
    • oauth-broke
      GET
    • user_pic
      GET
    • Test Connection
      GET
    • Me
      GET
  • External
    • Whatsapp
      • Resumable API
        • Start Media Uploading Session
        • Upload Media
      • WhatsApp Media Assets API
        • Download Media
        • Test Whatsapp Image Download
        • Test Whatsapp Image URL Retrieval
      • Test Message
      • second_test_message template
      • Verify Phone Number
      • Check conversations
  • Health
    GET
  1. Auth

Register

POST
/{{v2}}/auth/register

Request

Body Params application/json

Example
{
    "correo": "Jeffry_Labadie74@yahoo.com",
    "clave": "I02anuXySoDnAmJE",
    "cod_telefono": "+58",
    "telefono": "4123813152",
    "relacion": "No Relacion",
    "nombre": "Mr. Chad Murphy"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff '/{{v2}}/auth/register' \
--header 'Content-Type: application/json' \
--data-raw '{
    "correo": "Jeffry_Labadie74@yahoo.com",
    "clave": "I02anuXySoDnAmJE",
    "cod_telefono": "+58",
    "telefono": "4123813152",
    "relacion": "No Relacion",
    "nombre": "Mr. Chad Murphy"
}'

Responses

🟢201Created
application/json
Registration response for when a user is successfully created after sending the data to the API
Bodyapplication/json

Example
{
    "meta": {
        "timestamp": "2025-04-11T20:55:45+00:00",
        "api_version": "v1.0.10",
        "status": 201,
        "copyright": "© 2025 api.dataemergencia.com. All rights reserved."
    },
    "data": {
        "type": "user",
        "id": 5280,
        "attributes": {
            "correo": "Jeffry_Labadie74@yahoo.com",
            "fmd_code": 5280,
            "product_codes": [
                "d0wqnh"
            ],
            "bp_codes": [
                "pmdime"
            ],
            "token": "55|ZR9iZON18FZo7gS5KKx5tV7jUfl8Dk6zH0InohJdb30357b8",
            "expiration_date": "2025-04-11T21:55:45+00:00",
            "session_key": "a32787"
        }
    }
}
🟠422Parameter Error
🟠404Record Not Found
Modified at 2025-04-16 20:22:07
Previous
Logout
Next
Login
Built with